Get a location route by ID
Returns a single location route by ID. Labs see their own routes; clinics can only access routes from partner labs.
Returns a single location route by ID. Labs see their own routes; clinics can only access routes from partner labs.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
id*string
Location route ID
Response Body
application/json
curl -X GET "https://example.com/location-routes/550e8400-e29b-41d4-a716-446655440000"{ "route": null}Empty
Empty
Deactivate a location route DELETE
Soft-deletes a location route by setting it to inactive. Cannot delete the default route. Lab-only endpoint.
List location routes GET
Returns paginated delivery location routes for a lab. Labs see their own routes; clinics must specify a labId query parameter and must be active partners of that lab.